BLUETOOTH-CONFIG(8)

NAME
bluetooth-config - a script to manage config files for the bluetooth sub system

SYNOPSIS
bluetooth-config scan [-d device] [-n node]

DESCRIPTION
The bluetooth-config utility is an interactive script to provide a frontend to the complex bluetooth sub system daemons.

The following options are available:

-d  Scan for a specific bluetooth device address.

-n  Limit scan to a specific host controller. Hint: List all netgraph nodes with ‘/usr/sbin/ngctl list’.

bluetooth-config will help finding and setting up bluetooth controllers, scan for nearby bluetooth devices in pairing mode, lookup their names, allow mapping to friendly names in /etc/bluetooth/hosts, ask for the paring PIN, instrument hcsecd(8) to securely pair with new devices and, if the device offers HID endpoints such as mice or keyboards, configure and restart bthidd(8).

bluetooth-config can bring up any interface and daemon necessary for operation and, if a node is provided on command line, will do so automatically for that interface.

FILES
/etc/bluetooth/hosts
sysrc -n bthidd_config
sysrc -n hcsecd_config

EXAMPLES
bluetooth-config scan -n ubt0 -a 00:26:bb:7a:58:95

This will scan the bluetooth controller ubt0hci for a bluetooth device with the address 00:26:bb:7a:58:95, set up ubt0 if necessary and enter an interactive dialog to pair the new device. Since in this example a mouse is paired, bluetooth-config will interact with bthidd(8), enabling it if necessary and then write an HID descriptor to its config.

bluetooth-config scan

This will scan all bluetooth controllers on the systems for bluetooth devices, prompting to bring up controllers or daemons along the way.

SEE ALSO
bthost(1), bthidcontrol(8), bthidd(8), hccontrol(8), hcsecd(8), sdpcontrol(8), sysrc(8)

HISTORY
A bluetooth-config utility first appeared in FreeBSD 12.1.

AUTHORS
Dirk Engling <erdgeist@erdgeist.org>

CAVEATS
bluetooth-config can not parse entries in hcsecd(8) config file and thus will ask the user to manually modify existing pairing PIN entries.

THANKS TO
Lars Engels and Warren Block for suggestions, help, and testing.